import { ModelApiLoader } from '@/api/model';

export const ShopeeSellerShopModel = new ModelApiLoader('shopee_seller_shop');
export const ShopeeSellerConfigModel = new ModelApiLoader('shopee_seller_config');

export const loaderIndex = () => {
  return Promise.allSettled([
    ShopeeSellerShopModel.createIndex({
      index: {
        fields: ['shopId'],
      },
    }),
    ShopeeSellerConfigModel.createIndex({
      index: {
        fields: ['shopId', 'key'],
      },
    }),

  ]);
};
